# Raptest – Rails Assets Pipeline testing tool

**Raptest** plumbs Rails assets pipeline detecting any issue that may come out during and after their deployment.

## Installation

```
gem install raptest
```

## Usage

**Raptest** consists of a single executable that should be launched from the root of a Rails application.

Running `raptest` you can test one or more assets and all their dependencies against:
 - ERB processing
 - Coffeescript compilation
 - Javascript minification through UglifyJs
 - Sass compilation
 - Css minification through Sass Compressor 

The `raptest` command takes a list of assets as parameters

eg.

```
raptest application.js admin/admin.js admin/admin.css
```

---

Copyright (c) 2012 mcasimir

MIT License

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
